<?php
	
	/*--------------------------------------------------------------
	# Viyo - January 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	
	// Adding MooTools 1.11 to template
	JHTML::_('behavior.mootools');
	
	/*--------------------------------------------------------------
	#
	# Generating basic template variables
	#
	--------------------------------------------------------------*/	
	
	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;	
	// getting information about slide in menu
	$slide_in_menu = ($this->params->get("slide_in_menu", 1) == 1) ? true : false;
	// getting information about login button
	$login_button = ($this->params->get("login_button", 1)  == 1) ? true : false;
	// getting information about font size switcher
	$font_size_buttons = ($this->params->get("font_size_buttons", 1)  == 1) ? true : false;
	// checking cookie
	if(isset($_COOKIE['gk22_bg']))
	{
		// if isset - set bg from cookie
		$bg_type = $_COOKIE['gk22_bg'];
	}
	else // in other situation
	{
		// set standard bg
		$bg_type = $this->params->get("bg_type", 1);
	}
	// getting information about logo
	$logo_as_image = ($this->params->get("logo_as_image", 1) == 1) ? true : false;
	// getting menu
	$menu = & JSite::getMenu();
	// getting information about frontpage
	$frontpage_i = ($this->params->get("frontpage", 1) == 1) ? false : ($menu->getActive() == $menu->getDefault());		
	// getting information about bg switcher
	$bgarea = ($this->params->get("bgarea", 1) == 0) ? false : true;
	// creating JURI instance	
	$url = clone(JURI::getInstance());		
	// getting User object and user ID 
	$user =& JFactory::getUser();
	// getting User ID
	$userID = $user->get('id');

	/*--------------------------------------------------------------
	#
	# Calculating header dimensions
	#
	--------------------------------------------------------------*/

	// getting information about first header width
	$header_width_1 = $this->params->get("header_width", 475);
	// standard header margin - 10px
	$header_margin = 10;
	// calculating size of second header module 
	if($this->countModules('header1 + header2') == 2)
	{
		$header_width_2 = 950 - $header_width_1;
	}
	// if only one module is used
	if($this->countModules('header1 + header2') < 2)
	{
		// set size for
		if($this->countModules('header1')) 
		{
			// header one
			$header_width_1 = 960;
		}
		else // in second situation
		{
			// set size or header two
			$header_width_2 = 960;
		}
		// and reset margin
		$header_margin = 0;
	}

	/*--------------------------------------------------------------
	#
	# Generating user positions classes
	#
	--------------------------------------------------------------*/

	// empty variables for classes
	$user_position_1 = 'null';
	$user_position_2 = 'null';
	$user_position_3 = 'null';
	$user_position_4 = 'null';
	// 33%
	if($this->countModules('user1 and user2 and user3'))
	{
		$user_position_1 = 'us_width-32b';		
	}
	else if($this->countModules('user1 and user2') || $this->countModules('user2 and user3') || $this->countModules('user1 and user3'))
	{
		// 49%
		$user_position_1 = 'us_width-49b';
	}	
	// 33 %
	if($this->countModules('user4 and user5 and user6'))
	{
		$user_position_2 = 'us_width-32b';		
	}
	else if($this->countModules('user4 and user5') || $this->countModules('user5 and user6') || $this->countModules('user4 and user6'))
	{
		// 49%
		$user_position_2 = 'us_width-49b';
	}		
	// 24%
	if($this->countModules('user7 and user8 and user9 and user10'))
	{
		$user_position_3 = 'us_width-24b';	
	}
	else if(
		$this->countModules('user7 and user8 and user9') || 
		$this->countModules('user7 and user8 and user10') || 
		$this->countModules('user8 and user9 and user10') || 
		$this->countModules('user9 and user10 and user7') || 
		$this->countModules('user9 and user10 and user8')
	)
	{
		// 33%
		$user_position_3 = 'us_width-32b';
	}
	else if(
		$this->countModules('user7 and user8') || 
		$this->countModules('user7 and user10') || 
		$this->countModules('user8 and user9') || 
		$this->countModules('user8 and user10') || 
		$this->countModules('user7 and user9') || 
		$this->countModules('user9 and user10')
	)
	{
		// 49%
		$user_position_3 = 'us_width-49b';
	}
	// calculating width for 6 modules
	$user_position_4 = ($this->countModules('user11')>0) + ($this->countModules('user12')>0) + ($this->countModules('user13')>0) + ($this->countModules('user14')>0) + ($this->countModules('user15')>0) + ($this->countModules('user16')>0);
$user_position_4w = $user_position_4 > 0 ? 'us_width-' . floor(99 / $user_position_4) : '';	
	// component and pos width
    $w_component = ('component');
    $w_right = $this->countModules( 'right' );
    $w_count = ($w_component && $w_right) ? '-2' : false;
	$w_bg = ($w_component && $w_right) ? '-2' : false;

?>