<?php
	
	/*--------------------------------------------------------------
	# Viyo - January 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>
	<jdoc:include type="head" />

	<?php
		// including template header files
		include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>

<body>
	<?php if($login_button || ($this->countModules('userarea + advert'))) : ?>
	<!-- userarea -->
	<div id="wrapper_userarea">
		<div class="wrapper_centered" id="userarea">
			<?php if($this->countModules('userarea + advert')) : ?>
			<div class="userarea_left<?php if($bg_switcher == 0) echo '_100'; ?>">
			<jdoc:include type="modules" name="userarea" style="raw" />
			</div>
			<?php endif; ?>
			
			<?php if($this->countModules('advert')) : ?>
			<div class="userarea_right">
			<jdoc:include type="modules" name="advert" style="raw" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
	<!-- menu -->
	<div id="wrapper_menu">
		<div class="wrapper_centered clearfix">
			<div id="horiz-menu">
				<?php echo $main_navigation;?>
			</div>
    		<?php if($font_size_buttons) : ?>
    		<div id="font_minus_btn" title="<?php echo JText::_('DECREASE_FONT_SIZE'); ?>"><span><?php echo JText::_('AM'); ?></span></div>
    		<div id="font_reset_btn" title="<?php echo JText::_('RESET_FONT_SIZE'); ?>"><span>&nbsp;<?php echo JText::_('A'); ?>&nbsp;</span></div>
    		<div id="font_plus_btn" title="<?php echo JText::_('INCREASE_FONT_SIZE'); ?>"><span><?php echo JText::_('AP'); ?></span></div>
			<?php endif; ?>
			<?php if($login_button) : ?>
    		<div id="login_btn"><span><?php echo JText::_('OPEN_UA'); ?></span></div>
			<?php endif; ?>
    		<?php if($slide_in_menu) : ?>
    		<div id="slide_path"><div id="slide_knob"><div></div></div></div>
    		<?php endif; ?>
    	</div>
	</div>
	<!-- main wrapper -->
	<div id="wrapper_main" class="clearfix">
		<div class="wrapper_centered clearfix">
			<!-- top -->
			<div id="wrapper_top">
            	<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" href="./">
					<?php if($logo_as_image) : ?>
					<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/style<?php echo $template_style; ?>/logo.png" alt="Logo" />
					<?php endif; ?>
				</a>
                
				<?php if ($this->countModules('search')) : ?>
                <div id="wrapper_search">
                	<jdoc:include type="modules" name="search" style="raw" />
                </div>
                <?php endif; ?>
        	</div>

			<?php if ($this->countModules('banner1')) : ?>
            <jdoc:include type="modules" name="banner1" style="raw" />
            <?php endif; ?>        	
			<!-- header -->
			<?php if ($this->countModules('header1 or header2') ) : ?>
            <div id="wrapper_header">
				<?php if ($this->countModules('header1')) : ?>
                <div id="header1" style="width:<?php echo $header_width_1; ?>px;">
                	<jdoc:include type="modules" name="header1" style="xhtml" />
                </div>
                <?php endif; ?>
                
				<?php if ($this->countModules('header2')) : ?>
                <div id="header2" style="width:<?php echo $header_width_2; ?>px;margin-left: <?php echo $header_margin; ?>px;">
                	<jdoc:include type="modules" name="header2" style="xhtml" />
                </div>
                <?php endif; ?>
            </div>
            <?php endif; ?>
			<?php if ($this->countModules('banner2')) : ?>
            <jdoc:include type="modules" name="banner2" style="raw" />
            <?php endif; ?>

			<!-- content -->
			<div id="wrapper_content" class="clearfix">
				<jdoc:include type="message" />
                
				<div id="component<?php echo $w_count ?>">
	                <?php if ($this->countModules('top')) : ?>
	                <div class="users_wrap">
	                    <jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
	                </div>
	            	<?php endif; ?>
	                
					<?php if($this->countModules('user1 or user2 or user3')) : ?>
	                <div class="users_wrap clearfix">
	                    <?php if ($this->countModules('user1')) : ?>
	                    <div class="<?php echo $user_position_1; ?>">
	                        <jdoc:include type="modules" name="user1" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                    
						<?php if ($this->countModules('user2')) : ?>
	                    <div class="<?php echo $user_position_1; ?>">
	                        <jdoc:include type="modules" name="user2" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                              
						<?php if ($this->countModules('user3')) : ?>
	                    <div class="<?php echo $user_position_1; ?>">
	                        <jdoc:include type="modules" name="user3" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                </div>
	                <?php endif; ?>
	                        
					<?php
	    				// show mainbody on all subpages but not on frontpage
						if (!$frontpage_i) :
	    			?>
	                <div id="mainbody">
	                    <jdoc:include type="component" />
	                </div>
	                <?php endif; ?>
	                        
					<?php if($this->countModules('user4 or user5 or user6')) : ?>
	                <div class="users_wrap usbottom clearfix">
	                    <?php if ($this->countModules('user4')) : ?>
	                    <div class="<?php echo $user_position_2; ?>">
	                        <jdoc:include type="modules" name="user4" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                              
						<?php if ($this->countModules('user5')) : ?>
	                    <div class="<?php echo $user_position_2; ?>">
	                        <jdoc:include type="modules" name="user5" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                              
						<?php if ($this->countModules('user6')) : ?>
	                    <div class="<?php echo $user_position_2; ?>">
	                        <jdoc:include type="modules" name="user6" style="gavickpro" />
	                    </div>
	                    <?php endif; ?>
	                </div>
	                <?php endif; ?>
	                        
					<?php if ($this->countModules('bottom')) : ?>
	                <div class="users_wrap usbottom">
	                    <jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
	                </div>
	                <?php endif; ?>
	            </div>
	                  
				<?php if ($this->countModules('right')) : ?>
	            <div id="right">
	                <jdoc:include type="modules" name="right" style="gavickpro" headerLevel="3" />
	            </div>
	            <?php endif; ?>
	            
				<?php if($this->countModules('user7 or user8 or user9 or user10')) : ?>
	            <div id="bottom_wrap_1" class="clearfix">
	                  <?php if ($this->countModules('user7')) : ?>
	                  <div class="<?php echo $user_position_3; ?>">
	                        <jdoc:include type="modules" name="user7" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user8')) : ?>
	                  <div class="<?php echo $user_position_3; ?>">
	                        <jdoc:include type="modules" name="user8" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user9')) : ?>
	                  <div class="<?php echo $user_position_3; ?>">
	                        <jdoc:include type="modules" name="user9" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user10')) : ?>
	                  <div class="<?php echo $user_position_3; ?>">
	                        <jdoc:include type="modules" name="user10" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	            </div>
	            <?php endif; ?>
        	</div>
        	<?php if($this->countModules('user11 or user12 or user13 or user14 or user15 or user16')) : ?>
	        <!-- bottom wrap 2 -->
			<div class="wrapper_centered clearfix">  
				<div id="bottom_wrap_2" class="clearfix <?php echo $user_position_4w; ?>">
	                  <?php if ($this->countModules('user11')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user11" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user12')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user12" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user13')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user13" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user14')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user14" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user15')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user15" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
	                  <?php if ($this->countModules('user16')) : ?>
	                  <div class="users">
	                        <jdoc:include type="modules" name="user16" style="gavickpro" />
	                  </div>
	                  <?php endif; ?>
            	</div>
            </div>	
            <?php endif; ?>
        
        	<!-- footer -->
			<div class="wrapper_centered clearfix">    
            	<div id="wrapper_footer">
            		<?php 
						// including footer file
						include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
					?>
        	    </div>
			</div>
		</div>
	</div>
	
	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
	<div id="ie6">
		<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
	</div>
	<![endif]-->
	<?php endif; ?>
	<jdoc:include type="modules" name="debug" />
</body>
</html>